function los=vyst2(regulator_parameters,system,apriori,N)
los=zeros(4,3);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
regulator_parameters.horizont=5;
apriori.P0=1;
apriori.b0=0;
[m los]=mc_study(regulator_parameters,system,apriori,N,[regulator_parameters.horizont apriori.P0 apriori.b0]);

figure
hist(min(los(1,:),10),100);    AXIS([0 10 0 150]);   text(8,120,'\fontsize{18} CE');
title('P_0 = 1, {}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 0'); set( get(gcf, 'Children'), 'FontSize', 18);set(get(get(gcf, 'Children'),'Title'), 'FontSize', 18);
text(9.4,-8,'\fontsize{18}<')

figure
hist(min(los(2,:),10),100);    AXIS([0 10 0 150]);   text(8,120,'\fontsize{18} CC')
title('P_0 = 1, {}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 0');set( get(gcf, 'Children'), 'FontSize', 18);set(get(get(gcf, 'Children'),'Title'), 'FontSize', 18);
text(9.4,-8,'\fontsize{18}<')

figure
hist(min(los(3,:),10),100);    AXIS([0 10 0 150]);   text(8,120,'\fontsize{18} SIDP') 
title('P_0 = 1, {}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 0');set( get(gcf, 'Children'), 'FontSize', 18);set(get(get(gcf, 'Children'),'Title'), 'FontSize', 18);
text(9.4,-8,'\fontsize{18}<')

figure
hist(min(los(4,:),10),100);    AXIS([0 10 0 150]);   text(8,120,'\fontsize{18} DP') 
title('P_0 = 1, {}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 0');set( get(gcf, 'Children'), 'FontSize', 18);set(get(get(gcf, 'Children'),'Title'), 'FontSize', 18);
text(9.4,-8,'\fontsize{18}<')

apriori.b0=1;
[m los]=mc_study(regulator_parameters,system,apriori,N,[regulator_parameters.horizont apriori.P0 apriori.b0]);
text(9.4,-8,'\fontsize{18}<')

figure
hist(min(los(1,:),10),100);    AXIS([0 10 0 150]);   text(8,120,'\fontsize{18} CE');
title('P_0 = 1, {}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 1');set( get(gcf, 'Children'), 'FontSize', 18);set(get(get(gcf, 'Children'),'Title'), 'FontSize', 18);
text(9.4,-8,'\fontsize{18}<')

figure
hist(min(los(2,:),10),100);    AXIS([0 10 0 150]);   text(8,120,'\fontsize{18} CC')
title('P_0 = 1, {}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 1');set( get(gcf, 'Children'), 'FontSize', 18);set(get(get(gcf, 'Children'),'Title'), 'FontSize', 18);
text(9.4,-8,'\fontsize{18}<')

figure
hist(min(los(3,:),10),100);    AXIS([0 10 0 150]);   text(8,120,'\fontsize{18} SIDP') 
title('P_0 = 1, {}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 1');set( get(gcf, 'Children'), 'FontSize', 18);set(get(get(gcf, 'Children'),'Title'), 'FontSize', 18);
text(9.4,-8,'\fontsize{18}<')

figure
hist(min(los(4,:),10),100);    AXIS([0 10 0 150]);   text(8,120,'\fontsize{18} DP') 
title('P_0 = 1, {}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 1');set( get(gcf, 'Children'), 'FontSize', 18);set(get(get(gcf, 'Children'),'Title'), 'FontSize', 18);
text(9.4,-8,'\fontsize{18}<')

apriori.b0=10;
[m los]=mc_study(regulator_parameters,system,apriori,N,[regulator_parameters.horizont apriori.P0 apriori.b0]);
text(9.4,-8,'\fontsize{18}<')

figure
hist(min(los(1,:),10),100);    AXIS([0 10 0 150]);    text(8,120,'\fontsize{18} CE');
title('P_0 = 1, {}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 10');set( get(gcf, 'Children'), 'FontSize', 18);set(get(get(gcf, 'Children'),'Title'), 'FontSize', 18);
text(9.4,-8,'\fontsize{18}<')

figure
hist(min(los(2,:),10),100);    AXIS([0 10 0 150]);   text(8,120,'\fontsize{18} CC')
title('P_0 = 1, {}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 10');set( get(gcf, 'Children'), 'FontSize', 18);set(get(get(gcf, 'Children'),'Title'), 'FontSize', 18);
text(9.4,-8,'\fontsize{18}<')

figure
hist(min(los(3,:),10),100);    AXIS([0 10 0 150]);   text(8,120,'\fontsize{18} SIDP') 
title('P_0 = 1, {}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 10');set( get(gcf, 'Children'), 'FontSize', 18);set(get(get(gcf, 'Children'),'Title'), 'FontSize', 18);
text(9.4,-8,'\fontsize{18}<')

figure
hist(min(los(4,:),10),100);    AXIS([0 10 0 150]);   text(8,120,'\fontsize{18} DP') 
title('P_0 = 1, {}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 10');set( get(gcf, 'Children'), 'FontSize', 18);set(get(get(gcf, 'Children'),'Title'), 'FontSize', 18);
text(9.4,-8,'\fontsize{18}<')

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
apriori.P0=10;
apriori.b0=0;
[m los]=mc_study(regulator_parameters,system,apriori,N,[regulator_parameters.horizont apriori.P0 apriori.b0]);
text(9.4,-8,'\fontsize{18}<')

figure
hist(min(los(1,:),10),100);    AXIS([0 10 0 150]);   text(8,120,'\fontsize{18} CE');
title('P_0 = 10, {}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 0');set( get(gcf, 'Children'), 'FontSize', 18);set(get(get(gcf, 'Children'),'Title'), 'FontSize', 18);
text(9.4,-8,'\fontsize{18}<')

figure
hist(min(los(2,:),10),100);    AXIS([0 10 0 150]);   text(8,120,'\fontsize{18} CC')
title('P_0 = 10, {}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 0');set( get(gcf, 'Children'), 'FontSize', 18);set(get(get(gcf, 'Children'),'Title'), 'FontSize', 18);
text(9.4,-8,'\fontsize{18}<')

figure
hist(min(los(3,:),10),100);    AXIS([0 10 0 150]);   text(8,120,'\fontsize{18} SIDP') 
title('P_0 = 10, {}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 0');set( get(gcf, 'Children'), 'FontSize', 18);set(get(get(gcf, 'Children'),'Title'), 'FontSize', 18);
text(9.4,-8,'\fontsize{18}<')

figure
hist(min(los(4,:),10),100);    AXIS([0 10 0 150]);   text(8,120,'\fontsize{18} DP') 
title('P_0 = 10, {}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 0');set( get(gcf, 'Children'), 'FontSize', 18);set(get(get(gcf, 'Children'),'Title'), 'FontSize', 18);
text(9.4,-8,'\fontsize{18}<')

apriori.b0=1;
[m los]=mc_study(regulator_parameters,system,apriori,N,[regulator_parameters.horizont apriori.P0 apriori.b0]);

figure
hist(min(los(1,:),10),100);    AXIS([0 10 0 150]);   text(8,120,'\fontsize{18} CE');
title('P_0 = 10, {}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 1');set( get(gcf, 'Children'), 'FontSize', 18);set(get(get(gcf, 'Children'),'Title'), 'FontSize', 18);
text(9.4,-8,'\fontsize{18}<')

figure
hist(min(los(2,:),10),100);    AXIS([0 10 0 150]);   text(8,120,'\fontsize{18} CC')
title('P_0 = 10, {}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 1');set( get(gcf, 'Children'), 'FontSize', 18);set(get(get(gcf, 'Children'),'Title'), 'FontSize', 18);
text(9.4,-8,'\fontsize{18}<')

figure
hist(min(los(3,:),10),100);    AXIS([0 10 0 150]);   text(8,120,'\fontsize{18} SIDP') 
title('P_0 = 10, {}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 1');set( get(gcf, 'Children'), 'FontSize', 18);set(get(get(gcf, 'Children'),'Title'), 'FontSize', 18);
text(9.4,-8,'\fontsize{18}<')

figure
hist(min(los(4,:),10),100);    AXIS([0 10 0 150]);   text(8,120,'\fontsize{18} DP') 
title('P_0 = 10, {}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 1');set( get(gcf, 'Children'), 'FontSize', 18);set(get(get(gcf, 'Children'),'Title'), 'FontSize', 18);
text(9.4,-8,'\fontsize{18}<')

apriori.b0=10;
[m los]=mc_study(regulator_parameters,system,apriori,N,[regulator_parameters.horizont apriori.P0 apriori.b0]);

figure
hist(min(los(1,:),10),100);    AXIS([0 10 0 150]);   text(8,120,'\fontsize{18} CE');
title('P_0 = 10, {}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 10');set( get(gcf, 'Children'), 'FontSize', 18);set(get(get(gcf, 'Children'),'Title'), 'FontSize', 18);
text(9.4,-8,'\fontsize{18}<')

figure
hist(min(los(2,:),10),100);    AXIS([0 10 0 150]);   text(8,120,'\fontsize{18} CC')
title('P_0 = 10, {}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 10');set( get(gcf, 'Children'), 'FontSize', 18);set(get(get(gcf, 'Children'),'Title'), 'FontSize', 18);
text(9.4,-8,'\fontsize{18}<')

figure
hist(min(los(3,:),10),100);    AXIS([0 10 0 150]);   text(8,120,'\fontsize{18} SIDP') 
title('P_0 = 10, {}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 10');set( get(gcf, 'Children'), 'FontSize', 18);set(get(get(gcf, 'Children'),'Title'), 'FontSize', 18);
text(9.4,-8,'\fontsize{18}<')

figure
hist(min(los(4,:),10),100);    AXIS([0 10 0 150]);   text(8,120,'\fontsize{18} DP') 
title('P_0 = 10, {}_{^{\fontsize{18}\theta}}^{\fontsize{16}\^}_{0} = 10');set( get(gcf, 'Children'), 'FontSize', 18);set(get(get(gcf, 'Children'),'Title'), 'FontSize', 18);
text(9.4,-8,'\fontsize{18}<')

end